Subject: bug#4671: `read-passwd' does not recognize keypad enter key

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Oct 2009 22:56:35 -0400

>> Which version of Emacs is that?
>> I've installed a few weeks ago a patch that makes read-passwd use the
>> read-key rather than read-char, so AFAIK such problems should have
>> been fixed.

> My patch was against the latest CVS version.  (I would have mentioned the
> version otherwise, but I should have mentioned it even then; sorry for the
> omission.)

That's very odd.  What does M-: (read-key) RET <kp-enter> return?
What about C-h k <kp-enter> ?

        Stefan